# Source code for azure.applicationinsights.models.events_availability_result_info_py3

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class EventsAvailabilityResultInfo(Model):
        """The availability result info.

        :param name: The name of the availability result
        :type name: str
        :param success: Indicates if the availability result was successful
        :type success: str
        :param duration: The duration of the availability result
        :type duration: long
        :param performance_bucket: The performance bucket of the availability
         result
        :type performance_bucket: str
        :param message: The message of the availability result
        :type message: str
        :param location: The location of the availability result
        :type location: str
        :param id: The ID of the availability result
        :type id: str
        :param size: The size of the availability result
        :type size: str
        """

        _attribute_map = {
            'name': {'key': 'name', 'type': 'str'},
            'success': {'key': 'success', 'type': 'str'},
            'duration': {'key': 'duration', 'type': 'long'},
            'performance_bucket': {'key': 'performanceBucket', 'type': 'str'},
            'message': {'key': 'message', 'type': 'str'},
            'location': {'key': 'location', 'type': 'str'},
            'id': {'key': 'id', 'type': 'str'},
            'size': {'key': 'size', 'type': 'str'},
        }

        def __init__(self, *, name: str=None, success: str=None, duration: int=None, performance_bucket: str=None, message: str=None, location: str=None, id: str=None, size: str=None, **kwargs) -> None:
            super(EventsAvailabilityResultInfo, self).__init__(**kwargs)
            self.name = name
            self.success = success
            self.duration = duration
            self.performance_bucket = performance_bucket
            self.message = message
            self.location = location
            self.id = id
            self.size = size